Doomsday Engine - Feature #1635

Feature # 7 (Progressed): Next-gen renderer (codename "Gloom")
HDR rendering

2013-10-23 08:30 - skyjake

Status: Resolved Start date: 2013-10-23
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Redesign

Target version: 3.0

Description

We should consider the role of High Dynamic Range rendering in the next-gen renderer's lighting system.

It should not differ too much from vanilla lighting in that dark areas should remain sufficiently dark. The most benefit would be gained
from handling of bright lighting: adapting to outdoor areas and having bloom for intense point light sources or other relatively bright
spots.

In fact, adjusted properly this could entirely replace the old dynamic light "halos" (not lens flares, though).

Related issues:

Related to Feature #1623: Shaders Progressed  2013-03-01
Related to Feature #1627: Render game view to a texture Closed 2013-10-22
Related to Feature #1462: Light Amp Goggles and Torches affect dynamic lights Rejected 2008-04-23
Related to Feature #1157: Auto-adjust brightness and contrast Rejected 2003-05-22
History

#1 - 2013-10-23 08:32 - skyjake

- Description updated

#2 - 2018-10-27 15:06 - skyjake

- Status changed from New to Resolved
- Assignee set to skyjake

- Target version set to 3.0

- % Done changed from 0 to 100

Gloom does HDR rendering by using floating-point framebuffers and PBR materials and lighting.
